/*
 Theme name: ASR Moving
 Template: astra
 Author: Azhar (BlackMoose.io)
 version: 1.0.0
*/

body{
  overflow-x: hidden;
}
.pac-container {
    z-index: 999999 !important; 
}
/*- Header  -*/
#main_header{
  transition: all ease-in .4s;
	   
}
#main_header.fixed {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background: rgba(255, 255, 255, 0.9); 
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: all 0.3s ease-in-out;
    z-index: 1000;
}
#main_header.fixed .top_header{
	display:none;
}
#main_header.fixed .elementor-widget-theme-site-logo img{
  max-width: 150px;
}
@media screen and (max-width: 992px){
#main_header nav.hfe-nav-menu__layout-horizontal {
    left: initial !important;
    right: -120%;
    position: fixed;
    min-width: 300px;
    width: 100% !important;
    top: 61px;
	    height: auto !important;
    transition: all ease-in .4s;
}
#main_header nav.hfe-nav-menu__layout-horizontal.menu-is-active {
    right: -10px;
	position: absolute;
}
}

.hfe-nav-menu .sub-menu li a:hover{
  background: #D50000;
  color: #FFF !important;
}
@media screen and (min-width: 992px){
	#main_header .hfe-nav-menu .sub-menu{
	   top: 72px;
       width: 280px;
	   box-shadow: 0 0 16px rgba(0,0,0,.2);
	}
}

.overflow-hidden{
    overflow: hidden;
}
.testi_v_space .swiper-wrapper{
    padding: 20px 0;
}

/*----Blogs----*/

.archive_posts article{
	align-items: center;
}

@media screen and (max-width: 600px){
  .archive_posts article {
    display: block !important;
  }
	.archive_posts article .elementor-post__thumbnail__link{
		width: 100% !important;;
	}
	.archive_posts article .elementor-post__thumbnail__link .elementor-post__thumbnail{
		height: 250px !important;
	}
	.archive_posts article .elementor-post__thumbnail__link img{
		    height: 250px !important;;
    object-fit: cover;
    object-position: center;
    border-radius: 10px;
	}
	.archive_posts article .elementor-post__title{
	  margin-top: 15px !important;
	}
}

.archive_sidebar{
   position: sticky;
   top: 100px;
}

.elementor-pagination{
  display: flex;
    align-items: center;
    justify-content: center;
}
.elementor-pagination .page-numbers{
  display: flex;
  width: 40px;
  height: 40px;
  border-radius: 50%;
  align-items: center;
  justify-content: center;
  border: 1px solid #2F318D;
  color: #2F318D;
}
.elementor-pagination .page-numbers.current,
.elementor-pagination .page-numbers:hover{
  background: #D50000;
  color: #FFF;
}

.blog-category-list{
  list-style-type: none;
  padding: 0;
  margin: 0;
}
.blog-category-list li{
  display: inline-block;
  padding: 5px;
}
.blog-category-list li a,
.r-post-list .ekit-wid-con .ekit-post-list-wrapper .elementor-icon-list-item a{
  display: inline-block;
  padding: 8px 13px;
  background: #f5f5ff 
	  !important;
  color: #000;
  font-size: 15px;
}
.blog-category-list li a:hover,
.r-post-list .ekit-wid-con .ekit-post-list-wrapper .elementor-icon-list-item a:hover,
.r-post-list .ekit-wid-con .ekit-post-list-wrapper .elementor-icon-list-item a:hover .elementor-icon-list-text{
  background: #D50000 !important;
  color: #FFF !important;
}
.archive_sidebar  .ekit-post-list-wrapper li a{
	background-color: #F5F5F5 !important;
    padding: 15px 10px 15px 10px;
}
.elementor-1614 .archive_sidebar .elementor-icon-list-item .ekit-post-list-wrapper li:hover a,
.elementor-1614 .archive_sidebar .elementor-icon-list-item .ekit-post-list-wrapper li:hover a .elementor-icon-list-text{
  background: #D50000 !important;
  color: #FFF !important;
}

#primary{
  margin: 0;
}


/*-- Form CSS  --*/

.site-content > .ast-container{
  max-width: none !important;
  padding: 0;
}
.ast-separate-container{
  background: #FFF;
}

.form-container {
    position: relative;
    background: rgba(255, 255, 255, 0.95);
    padding: 30px;
    border-radius: 20px;
    width: 100%;
    max-width: 440px;
    margin: 0 auto;
    /* color: #002f6c; */
    border: solid 1px #ccc;
    box-shadow: 0px 0px 30px rgba(0, 0, 0, 0.3);
}
.form-container h2 {
    font-family: 'Poppins', sans-serif;
text-align: center;
font-weight: 700;
font-size: 32px;
text-transform: uppercase;
margin-bottom: 15px;
color: #D50000;
}
.form-container .form-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 5px;
}
.form-container label {
    font-weight: 500;
    display: block;
    margin-bottom: 8px;
    text-align: start;
}

.form-container input, .form-container select, .form-container button {
    width: 100%;
    padding: 12px;
    margin-bottom: 15px;
    border-radius: 5px;
    border: 1px solid #ccc;
    box-sizing: border-box;
    font-size: 14px;
    font-family: "Poppins", sans-serif;
    height: auto;
}

.form-container label,
.form-container h1,
.form-container h2,
.form-container h3,
.form-container p,
.form-container a {
    font-weight: 600;
}

.form-container select {
    appearance: none;
    background-color: white;
    cursor: pointer;
    font-weight: 600;
}

.form-container button {
    background: #d50000;
    padding: 15px 13px;
    font-size: 16px;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 50px;
    font-weight: 600;
}
.form-container button.prevStep{
  background: #2F318D;
}

.form-buttons {
    display: flex;
    justify-content: space-between;
   align-items: center;
    gap: 10px;
}
.orbtn{margin-bottom: 10px;}
.error-message {
color: red;
font-size: 14px !important;
margin-top: -10px;
display: block;
font-weight: 300;
text-align: start;
}




.colors_heading .elementor-heading-title b,
.colors_heading .elementor-heading-title span{
  color: #d50000;
}
.page .entry-header{
	max-width: 1280px;
	margin: 0 auto;
}
.single-post table tr:first-child{
	background-color: #d50000;
	color: #FFF;
}



/* Calendar popup */
.ui-datepicker {
  width: auto;
  border: 1px solid #ccc !important;
  border-radius: 10px;
  padding: 10px;
  font-family: inherit;
}

/* Table style */
.ui-datepicker table {
  width: 100%;
  border-collapse: collapse;
}

.ui-datepicker th {
  text-align: center;
  padding: 6px;
  border-bottom: 1px solid #ddd;
}

.ui-datepicker td {
  text-align: center;
  padding: 6px;
  border: 1px solid #eee;
}

/* Dates in circles */
.ui-datepicker td a {
    display: inline-block;
    width: 35px;
    height: 35px;
	line-height:2;
  border-radius: 50%;
  text-align: center;
  transition: 0.3s;
}

.ui-datepicker td a:hover {
  background: #0073e6;
  color: white;
}
.flatpickr-day{
	
}
.form-container button,
.orbtn {
	margin: 0;
}
.form-container a.callButton{
   background: #d50000;
    padding: 15px 13px;
    font-size: 16px;
    color: white;
    border: none;
    cursor: pointer;
    border-radius: 50px;
    font-weight: 600;
	width: 100%;
    text-decoration: none;
    text-align: center;
}
.form-buttons{
	margin-bottom: 10px;
}
@media screen and (max-width: 600px){
  .form-buttons {
    flex-direction: column;
    gap: 10px;
  }
	.orbtn {
        margin-top: 0;
    }
}